package org.gcube.portlets.user.geoportaldataviewer.server;

import static org.gcube.application.geoportal.client.GeoportalAbstractPlugin.statefulMongoConcessioni;

import javax.servlet.http.HttpServletRequest;

import org.gcube.application.geoportal.client.legacy.ConcessioniManagerI;
import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.gcube.portlets.user.geoportaldataviewer.server.util.SessionUtil;


/**
 * The Class ConcessioniMongoService.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 * Sep 9, 2021
 */
public class ConcessioniMongoService {
	
	
	/**
	 * Instantiates a new concessioni mongo service, interface for client statefulMongoConcessioni.
	 */
	public ConcessioniMongoService() {
	}
	

	/**
	 * Gets the item by id.
	 *
	 * @param request the request
	 * @param mongoItemId the mongo item id
	 * @return the item by id
	 * @throws Exception the exception
	 */
	Concessione getItemById(HttpServletRequest request, String mongoItemId) throws Exception{
		SessionUtil.getCurrentContext(request, true);
		SessionUtil.getCurrentToken(request, true);
		//Obtain the client
		ConcessioniManagerI concessioniManager = statefulMongoConcessioni().build();
		//Returning item by Id
		return concessioniManager.getById(mongoItemId);
	}

	
	
	
}
